in scala.collection.immutable
class GBLeaf

`case private class` GBLeaf [A, B]
  `extends` scala.collection.immutable.GBTree[A, B]
  `with` scala.ScalaObject
  `with` scala.CaseClass

Constructor Summary
| `def` this ()(view$5: scala.Function1[A, scala.Ordered[A]])

Def Summary
`final` `override` | `def` $tag : scala.Int
| `def` apply (key: A) : scala.Nothing
| `def` balance (s: scala.Int) : scala.collection.immutable.GBLeaf[A, B]
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement (x$1: scala.Int) : scala.Any
`final` `override` | `def` caseName : java.lang.String
| `def` count : scala.Tuple2[scala.Int, scala.Int]
| `def` delete (_key: A) : scala.Nothing
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
| `def` get (_key: A) : scala.None.type
`override` | `def` hashCode : scala.Int
| `def` insert (key: A, value: B, s: scala.Int) : scala.collection.immutable.InsertTree[A, B]
| `def` isDefinedAt (key: A) : scala.Boolean
| `def` merge (larger: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.GBTree[A, B]
| `def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]) : scala.List[scala.collection.immutable.GBTree[A, B]]
| `def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]
| `def` toList (acc: scala.List[scala.Tuple2[A, B]]) : scala.List[scala.Tuple2[A, B]]
`override` | `def` toString : java.lang.String
| `def` update (key: A, value: B) : scala.Nothing

Constructor Detail

`def` this ()(view$5: scala.Function1[A, scala.Ordered[A]])

Def Detail

`final override def` $tag : scala.Int

`def` apply (key: A): scala.Nothing

`def` balance (s: scala.Int): scala.collection.immutable.GBLeaf[A, B]

`final override def` caseArity : scala.Int

`final override def` caseElement (x$1: scala.Int): scala.Any

`final override def` caseName : java.lang.String

`def` count : scala.Tuple2[scala.Int, scala.Int]

`def` delete (_key: A): scala.Nothing

`override def` equals (x$1: scala.Any): scala.Boolean

`def` get (_key: A): scala.None.type

`override def` hashCode : scala.Int

`def` insert (key: A, value: B, s: scala.Int): scala.collection.immutable.InsertTree[A, B]

`def` isDefinedAt (key: A): scala.Boolean

`def` merge (larger: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.GBTree[A, B]

`def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]): scala.List[scala.collection.immutable.GBTree[A, B]]

`def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]

`def` toList (acc: scala.List[scala.Tuple2[A, B]]): scala.List[scala.Tuple2[A, B]]

`override def` toString : java.lang.String

`def` update (key: A, value: B): scala.Nothing